← Entwickler

Schnellstart

API-Key holen und in wenigen Minuten die erste authentifizierte Anfrage senden.

API- und MCP-Zugriff ist im Team-Paket enthalten.

1. API-Key erstellen

Melde dich im Dashboard mit dem Konto des LinkedIn-Profils an, das du automatisieren willst, und öffne Konto → Entwickler. Erstelle einen Key — er sieht aus wie lps_ gefolgt von 32 Hex-Zeichen.

Der Key wird nur einmal angezeigt. Kopiere ihn und bewahre ihn sicher auf (z. B. in einem Secrets-Manager). Der Key ist an dein Mitglied bzw. Profil gebunden: Er kann nur deine eigenen Posts sehen und bearbeiten.

2. Prüfen, ob der Key funktioniert

Rufe GET /me auf, um zu sehen, zu welchem Mitglied der Key gehört:

curl https://app.tidefall.de/api/v1/me \
  -H "Authorization: Bearer lps_YOUR_KEY"
{
  "member": {
    "id": "0d2f...",
    "display_name": "Jane Doe",
    "headline": "B2B Sales Strategist",
    "company_name": "Acme GmbH",
    "linkedin_connected": true
  }
}

3. Ersten Post erzeugen

Posts werden synchron aus einer Idee erzeugt. Die Antwort enthält das komplette Post-Objekt inklusive des erzeugten body.

curl -X POST https://app.tidefall.de/api/v1/posts \
  -H "Authorization: Bearer lps_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "idea": "Why most ERP migrations fail", "research": true }'
{
  "post": {
    "id": "9b1c...",
    "status": "draft_saved",
    "idea": "Why most ERP migrations fail",
    "body": "Most ERP migrations don't fail in the software...",
    "created_at": "2026-06-16T08:00:00Z"
  }
}

4. Planen oder veröffentlichen

Plane für einen späteren Zeitpunkt (ISO-8601 UTC) oder veröffentliche sofort. Das Veröffentlichen läuft als Hintergrundjob: Es liefert 202 Accepted, und du fragst GET /posts/{id} ab (oder abonnierst den Webhook post.published).

# Schedule
curl -X POST https://app.tidefall.de/api/v1/posts/9b1c.../schedule \
  -H "Authorization: Bearer lps_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "scheduled_at": "2026-06-17T07:00:00Z" }'

# Or publish now (async → 202)
curl -X POST https://app.tidefall.de/api/v1/posts/9b1c.../publish \
  -H "Authorization: Bearer lps_YOUR_KEY"
{
  "post": { "id": "9b1c...", "status": "scheduled" },
  "status": "scheduled",
  "poll": "/api/v1/posts/9b1c..."
}

Nächste Schritte